# LedgerEntryResponse | xrpl
Documentation for xrpl

# Interface LedgerEntryResponse

Response expected from a LedgerEntryRequest.

#### Hierarchy

- BaseResponse
  - LedgerEntryResponse

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:147

#####
Index

### Properties

api_version?
forwarded?
id
result
status?
type
warning?
warnings?

## Properties

### `Optional` api_version

api_version?: number

Inherited from BaseResponse.api_version

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:31

### `Optional` forwarded

forwarded?: boolean

Inherited from BaseResponse.forwarded

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:30

### id

id: string | number

Inherited from BaseResponse.id

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:24

### result

result: {
index: string;
ledger_current_index: number;
node?: LedgerEntry ;
node_binary?: string;
validated?: boolean;
}

#### Type declaration

- ##### index: string

  The unique ID of this ledger object.

- ##### ledger_current_index: number

  The ledger index of the ledger that was used when retrieving this data.

- ##### `Optional` node?: LedgerEntry

  Object containing the data of this ledger object, according to the ledger format.

- ##### `Optional` node_binary?: string

  The binary representation of the ledger object, as hexadecimal.

- ##### `Optional` validated?: boolean

Overrides BaseResponse.result

- Defined in packages/xrpl/src/models/methods/ledgerEntry.ts:148

### `Optional` status

status?: string

Inherited from BaseResponse.status

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:25

### type

type: string

Inherited from BaseResponse.type

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:26

### `Optional` warning

warning?: "load"

Inherited from BaseResponse.warning

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:28

### `Optional` warnings

warnings?: Warning[]

Inherited from BaseResponse.warnings

- Defined in packages/xrpl/src/models/methods/baseMethod.ts:29

Generated using TypeDoc